Loading...
Searching...
No Matches
err.h File Reference

Error codes. More...

`#include <l4/sys/compiler.h>`
Include dependency graph for err.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Enumerations

enum

l4_error_code_t {
L4_EOK = 0 , L4_EPERM = 1 , L4_ENOENT = 2 , L4_EIO = 5 ,
L4_ENXIO = 6 , L4_E2BIG = 7 , L4_EAGAIN = 11 , L4_ENOMEM = 12 ,
L4_EACCESS = 13 , L4_EFAULT = 14 , L4_EBUSY = 16 , L4_EEXIST = 17 ,
L4_ENODEV = 19 , L4_ENOTDIR = 20 , L4_EINVAL = 22 , L4_ENOSPC = 28 ,
L4_ERANGE = 34 , L4_ENAMETOOLONG = 36 , L4_ENOSYS = 38 , L4_EBADPROTO = 39 ,
L4_EADDRNOTAVAIL = 99 , L4_ERRNOMAX = 100 , L4_ENOREPLY = 1000 , L4_EMSGTOOSHORT = 1001 ,
L4_EMSGTOOLONG = 1002 , L4_EMSGMISSARG = 1003 , L4_EIPC_LO = 2000 , L4_EIPC_HI = 2000 + 0x1f
}

| L4 error codes. More...

## Detailed Description

Error codes.

Definition in file err.h.